FieldPhraseList (Lucene 10.5.1 highlighter API)
Description: declaration: package: org.apache.lucene.search.vectorhighlight, class: FieldPhraseList

Package org.apache.lucene.search.vectorhighlight

# Class FieldPhraseList

java.lang.Object
org.apache.lucene.search.vectorhighlight.FieldPhraseList

public class FieldPhraseList extends Object
FieldPhraseList has a list of WeightedPhraseInfo that is used by FragListBuilder to create a FieldFragList object.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FieldPhraseList.WeightedPhraseInfo`
  Represents the list of term offsets and boost for some text

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FieldPhraseList(FieldPhraseList[] toMerge)`
  Merging constructor.
  `FieldPhraseList(FieldTermStack fieldTermStack, FieldQuery fieldQuery)`
  create a FieldPhraseList that has no limit on the number of phrases to analyze
  `FieldPhraseList(FieldTermStack fieldTermStack, FieldQuery fieldQuery, int phraseLimit)`
  a constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addIfNoOverlap(FieldPhraseList.WeightedPhraseInfo wpi)`
  `List<FieldPhraseList.WeightedPhraseInfo>`
  `getPhraseList()`
  return the list of WeightedPhraseInfo.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FieldPhraseList

    public FieldPhraseList(FieldTermStack fieldTermStack, FieldQuery fieldQuery)
    create a FieldPhraseList that has no limit on the number of phrases to analyze
    Parameters:
      `fieldTermStack` - FieldTermStack object
      `fieldQuery` - FieldQuery object

  - ### FieldPhraseList

    public FieldPhraseList(FieldTermStack fieldTermStack, FieldQuery fieldQuery, int phraseLimit)
    a constructor.
    Parameters:
      `fieldTermStack` - FieldTermStack object
      `fieldQuery` - FieldQuery object
      `phraseLimit` - maximum size of phraseList

  - ### FieldPhraseList

    public FieldPhraseList(FieldPhraseList[] toMerge)
    Merging constructor.
    Parameters:
      `toMerge` - FieldPhraseLists to merge to build this one

- ## Method Details

  - ### getPhraseList

    public List<FieldPhraseList.WeightedPhraseInfo> getPhraseList()
    return the list of WeightedPhraseInfo.
    Returns:
      phraseList.

  - ### addIfNoOverlap

    public void addIfNoOverlap(FieldPhraseList.WeightedPhraseInfo wpi)